Subject: Re: tun: mark small packets as owned by the tap sock

From: Dave Jones <[email-masked]>
Date: Tue, 13 Aug 2019 10:00:25 -0400

On Tue, Aug 13, 2019 at 04:33:59PM +0800, Jason Wang wrote:
 > 
 > On 2019/8/13 上午6:19, Dave Jones wrote:
 > > On Wed, Aug 07, 2019 at 12:30:07AM +0000, Linux Kernel wrote:
 > >   > Commit:     4b663366246be1d1d4b1b8b01245b2e88ad9e706
 > >   > Parent:     16b2084a8afa1432d14ba72b7c97d7908e178178
 > >   > Web:        https://git.kernel.org/torvalds/c/4b663366246be1d1d4b1b8b01245b2e88ad9e706
 > >   > Author:     Alexis Bauvin <[email-masked]>
 > >   > AuthorDate: Tue Jul 23 16:23:01 2019 +0200
 > >   >
 > >   >     tun: mark small packets as owned by the tap sock
 > >   >
 > >   >     - v1 -> v2: Move skb_set_owner_w to __tun_build_skb to reduce patch size
 > >
 > > This commit breaks ipv6 routing when I deployed on it a linode.
 > > It seems to work briefly after boot, and then silently all packets get
 > > dropped. (Presumably, it's dropping RA or ND packets)
 > >
 > > With this reverted, everything works as it did in rc3.
 > >
 > Two questions:
 > 
 > - Are you using XDP for TUN?

not knowingly.  
$ grep XDP .config
# CONFIG_XDP_SOCKETS is not set

What's configured on the hypervisor side I have no idea.

 > - Does it work before 66ccbc9c87c2?

that's been around since 4.14-rc1, and at one point it ran whatever was
in debian9 (4.9).  I don't recall it ever not working, so I'd say yes.

I can build a 4.13 if it'll prove something, but it'll take me a while.
(This is my primary MX, so it's dropping email while it's on the broken
 kernel, so I need to plan some time to be around to babysit it)

 > If yes, could you show us the result of net_dropmonitor?

where do I get that?  It doesn't seem packaged for debian.

	Dave